import { FinancialSeries } from "./FinancialSeries";
import { ITrendLineSeries } from "./ITrendLineSeries";
import { TrendLineType } from "igniteui-angular-core";
import { DependencyProperty } from "igniteui-angular-core";
import { Brush } from "igniteui-angular-core";
import { PenLineCap } from "igniteui-angular-core";
import { DoubleCollection } from "igniteui-angular-core";
import { PriceDisplayType } from "./PriceDisplayType";
import { CategoryCollisionMode } from "./CategoryCollisionMode";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-angular-core";
import { CategoryFrame } from "./CategoryFrame";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { ITrendLineManager } from "./ITrendLineManager";
import { Axis } from "./Axis";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { Rect } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { AxisRange } from "./AxisRange";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Pool$1 } from "igniteui-angular-core";
import { Path } from "igniteui-angular-core";
import { Thickness } from "igniteui-angular-core";
import { SeriesPlotAreaMarginHorizontalMode } from "./SeriesPlotAreaMarginHorizontalMode";
import { SeriesPlotAreaMarginVerticalMode } from "./SeriesPlotAreaMarginVerticalMode";
import { GeometryGroup } from "igniteui-angular-core";
import { LegendItemBadgeShape } from "igniteui-angular-core";
import { ValueLayerValueMode } from "./ValueLayerValueMode";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { NumericAxisBase } from "./NumericAxisBase";
import { ValueCollisionMode } from "./ValueCollisionMode";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class FinancialPriceSeries extends FinancialSeries implements ITrendLineSeries {
    static $t: Type;
    protected bj(): Series;
    protected get_e9(): boolean;
    protected jk(): number;
    protected cs(): SeriesView;
    qz(a: SeriesView): void;
    aa0: FinancialPriceSeriesView;
    constructor();
    trendLineType: TrendLineType;
    trendLineBrush: Brush;
    get acj(): Brush;
    set acj(a: Brush);
    static readonly ab0: DependencyProperty;
    trendLineThickness: number;
    acm: PenLineCap;
    acl: DoubleCollection;
    trendLinePeriod: number;
    aa7: number;
    protected pb(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    aa1: PriceDisplayType;
    aaz: CategoryCollisionMode;
    protected b2(): SeriesHitTestMode;
    wl(a: Point): Rect;
    private aay;
    ao(a: Point): Rect[];
    gw(a: Point, b: boolean): boolean;
    protected gz(a: Point, b: boolean): boolean;
    protected q7(a: any, b: string, c: any, d: any): void;
    private abz;
    ay(a: Axis): AxisRange;
    az(a: Rect): AxisRange;
    iy(): number;
    gd(a: any): boolean;
    he(a: Rect, b: Rect, c: SeriesView): boolean;
    aaa(a: CategoryFrame, b: FinancialSeriesView): void;
    o5(a: boolean, b: SeriesView): void;
    protected so(a: Rect, b: Rect): void;
    wt(a: SeriesPlotAreaMarginHorizontalMode, b: SeriesPlotAreaMarginVerticalMode): Thickness;
    protected get_ed(): boolean;
    aac(a: CategoryFrame, b: FinancialSeriesView): void;
    iw(): number;
    private abx;
    private aa5;
    private abw;
    kx(a: any, b: Point): any;
    protected sf(): void;
    protected px(a: any): void;
    ack: Brush;
    vv(): Brush;
    r1(a: Brush, b: Brush): void;
    protected be(a: LegendItemBadgeShape): LegendItemBadgeShape;
    abi: string;
    abe: string;
    aa9: string;
    abn: string;
    abk: string;
    abg: string;
    abb: string;
    abp: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    private aa2;
    private aa3;
    aa4: number;
    private aby;
    aq(a: ValueLayerValueMode): number[];
    wd(a: ValueLayerValueMode): Point;
    we(a: number[]): Point;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    p2(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    abt(a: Rect, b: CategoryAxisBase, c: boolean, d: Rect, e: number, f: number): {
        p4: number;
        p5: number;
    };
    abs(a: Rect, b: NumericAxisBase, c: boolean, d: Rect, e: number, f: number): {
        p4: number;
        p5: number;
    };
    abr(a: List$1<ChartSelection>, b: number, c: SeriesSelectionBehavior): void;
    abv(a: List$1<ChartSelection>, b: number, c: number, d: SeriesSelectionBehavior): void;
    abu(a: ValueCollisionMode, b: List$1<ChartSelection>, c: number, d: number, e: number, f: number, g: SeriesSelectionBehavior): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class FinancialPriceSeriesView extends FinancialSeriesView {
    static $t: Type;
    protected b6: FinancialPriceSeries;
    constructor(a: FinancialPriceSeries);
    b9: Pool$1<Path>;
    cr(): Path;
    protected cc: List$1<Path>;
    ch(a: Path): void;
    cj(a: Path): void;
    ci(a: Path): void;
    protected b1(): FinancialBucketCalculator;
    au(): void;
    private cq;
    private cp;
    private b7;
    get b8(): ITrendLineManager;
    set b8(a: ITrendLineManager);
    get ca(): boolean;
    ck(): void;
    ce(): void;
    cd(): void;
    cn(): GeometryGroup;
    cm(): GeometryGroup;
    cl(): void;
    protected bd(): void;
    protected be(): void;
    protected ac(a: number): any;
    private co;
    protected ab(a: number): any;
    protected a8(a: RenderingContext, b: boolean): void;
    protected a7(a: RenderingContext, b: boolean): void;
    an(a: any): void;
    cf(): void;
    cb: boolean;
    cg(): void;
}
